Python Examples {#python-examples}
=============================

All the Python examples can be found in the [repository](https://github.com/smistad/FAST/tree/master/source/FAST/Examples/Python).

|Example|Result|
|----|----|
|[Load an image and display it](@ref load_and_display_image.py) | @image html images/examples/python/left_ventricle.jpg width=350px; |
|[Load an whole slide image (WSI) and display it](@ref load_and_display_wsi.py)| @image html images/examples/python/wsi.jpg width=350px;   |
|[Convert a numpy ndarray image to a FAST image and display it](@ref numpy_image_to_fast.py) ||
|[Generate tissue patches from a whole slide image WSI](@ref generate_tissue_patches_from_wsi.py)| @image html images/examples/python/wsi_patches.jpg width=350px; |
|[Filter an image in FAST, convert it to numpy ndarrays and display it with matplotlib](@ref filter_image_and_display_with_matplotlib.py) | @image html images/examples/python/non_local_means.jpg width=350px; |
|[Neural network segmentation of ultrasound images using OpenVINO](@ref neural_network_image_segmentation.py)| @image html images/examples/python/neural_network_segmentation.jpg width=350px; |
|[Capture individual frames of a video file, convert to images and display with matplotlib](@ref convert_video_to_image_frames.py)| @image html images/examples/python/video_frames.jpg width=350px; |
|[Block matching based ultrasound speckle tracking](@ref block_matching_speckle_tracking.py)| @image html images/examples/python/block_matching_tracking.jpg width=350px; |
|[Stream images from webcamera and apply edge detection](@ref stream_from_webcamera.py)| @image html images/examples/python/webcamera.jpg width=350px; |
|[Stream images from Clarius ultrasound scanner and apply a non-local means (NLM) filter](@ref stream_from_clarius_ultrasound_scanner.py)| @image html images/examples/python/clarius_streaming.jpg width=350px; |
|[Extract surface mesh from CT volume and render using GPU-based Marching Cubes algorithm](@ref extract_surface_mesh.py)| |
|[Inject Python code into a FAST pipeline by creating a custom Python process object](@ref python_process_object.py)||
